> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nanoclip.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transcript



## OpenAPI

````yaml /openapi.json get /v1/projects/{project_id}/transcript
openapi: 3.1.0
info:
  title: NanoClip Public API
  version: 0.1.0
  description: >-
    Upload video or audio and extract transcript, speaker, face, scene, and
    retake intelligence.
servers:
  - url: https://api.nanoclip.ai
security: []
paths:
  /v1/projects/{project_id}/transcript:
    get:
      summary: Get Transcript
      operationId: get_transcript_v1_projects__project_id__transcript_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranscriptionResultResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TranscriptionResultResponse:
      properties:
        project_id:
          type: string
          title: Project Id
        analysis:
          type: string
          const: transcript
          title: Analysis
          default: transcript
        status:
          $ref: '#/components/schemas/AnalysisResultStatus'
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        agent_context:
          additionalProperties:
            type: string
          type: object
          title: Agent Context
        text:
          type: string
          title: Text
          default: ''
        words:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Words
        utterances:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Utterances
        speakers:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Speakers
      type: object
      required:
        - project_id
        - status
      title: TranscriptionResultResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AnalysisResultStatus:
      type: string
      enum:
        - queued
        - processing
        - completed
        - failed
      title: AnalysisResultStatus
      description: Analysis lifecycle as reported by the result GET endpoints.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````